# Changelog

## [v0.2.1](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.2.1) (2016-12-12)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.2.0...v0.2.1)

Update vca-api-middleware dependency and add unit test for testing an added
action

### Closed Issues

_None_

### Merged Branches

  - Add unit test for using the testing of an added action. [\#19](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/19)

## [v0.2.0](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.2.0) (2016-11-09)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.7...v0.2.0)

# API Breaking Change
* Factory node now use a typename property to determine the which Factory node
* should be added to the API instead of a type property.
* Index values for identifiable nodes are now sent as object with a index
* property i.e. `{index: 1}` in the response. Type checking and error handling
* are also included for identifiable node ID's.

# Bug Fixes
* Create a mixin for identifiable nodes to allow value identifiable nodes as
* well as object type ones.
* Allow null and 0 values to be sent with a POST or PUT request.
* Provide a check on the endpoint keys to determine if they are of an object
* type.

### Closed Issues

_None_

### Merged Branches

  - POST index fix [\#18](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/18)

  - Mr npm global [\#17](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/17)

  - Updated to vca-api-middleware version 0.3.0. [\#11](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/11)

  - Identifiable mixin [\#10](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/10)

  - Array values [\#9](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/9)

  - Check if key's value is an object to prevent error on endpoint check [\#7](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/7)

## [v0.1.7](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.7) (2016-07-29)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.6...v0.1.7)

Change private properties to be prefixed with underscores to avoid accidental
changing of their values.
Update project dependencies and include karma babel preprocessor.

### Closed Issues

_None_

### Merged Branches

  - Bump gitlab-release version [\#6](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/6)

  - Underscore [\#5](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/5)

  - Factory [\#4](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/4)

  - Version bumps [\#3](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/3)

## [v0.1.6](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.6) (2016-07-15)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.5...v0.1.6)

Dependency updates, factory endpoint support and a developer demo.

### Dependency Updates

All NPM dependencies have been given an upgrade. The only user facing upgrade is
the `eventemitter2` package that has a breaking API change but is highly likely
to effect any integrations.

### Factory Endpoints

The factory endpoint is identical to a sparse array endpoint except that it
requires a `"type"` property in the JSON payload to determine which schema
template to stamp out in the backend.

```
POST /api/observables HTTP/1.1
Accepts: application/json
Content-Type: application/json

{"type": "test"}
```

### Developer Demo

Running `gulp demo` fires up a useable web browser demo of the `vca-api.js`. It
is possible to add zones into the API with buttons and a live update terminal
describes what is happening.

### Closed Issues

_None_

### Merged Branches

  - Factory [\#4](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/4)

  - Version bumps [\#3](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/3)

  - Unit tests [\#2](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/2)

  - Added a demo [\#1](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/1)

## [v0.1.5](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.5) (2016-04-27)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.4...v0.1.5)

Correct the release of the 'dist' folder. Also adds a demo to the repository,
run `gulp demo` to view it.

### Closed Issues

_None_

### Merged Branches

  - Added a demo [\#1](https://gitlab.vcatechnology.com/web/vca-api.js/merge_requests/1)

## [v0.1.4](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.4) (2016-04-21)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.3...v0.1.4)

Another `bower` ignore pattern

### Closed Issues

_None_

### Merged Branches

_None_

## [v0.1.3](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.3) (2016-04-21)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.2...v0.1.3)

Attempt a different bower ignore pattern

### Closed Issues

_None_

### Merged Branches

_None_

## [v0.1.2](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.2) (2016-04-21)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.1...v0.1.2)

Better `bower.json` ignore negation

### Closed Issues

_None_

### Merged Branches

_None_

## [v0.1.1](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.1) (2016-04-21)

[Full Changelog](https://gitlab.vcatechnology.com/web/vca-api.js/compare/v0.1.0...v0.1.1)

Deploy the `dist` folder through `bower`

### Closed Issues

_None_

### Merged Branches

_None_

## [v0.1.0](https://gitlab.vcatechnology.com/web/vca-api.js/tree/v0.1.0) (2016-04-21)

Fixed, Sparse and Vector configuration node support. The first release of the
library can communicate with the configuration API to get, set and modify the
endpoint. Zones can be added along with modifying the zone points.

### Closed Issues

_None_

### Merged Branches

_None_
