import './api/identifiable/Fixed';
import Fixed from './api/node/Fixed';
import Endpoint from './api/Endpoint';
export default class Api extends Endpoint {
  constructor({endpoint = '/api', emitter} = {}) {
    super({endpoint, emitter});
    this.loadData();
  }
  loadData() {
    if (this.dataPromise) {
      return this.dataPromise;
    } else if (this.data) {
      return Promise.resolve(this.data);
    }
    this.dataPromise = Promise.all([this._request.get(''), this._request.schema('')])
      .then(([data, schema]) => {
        this.data = new Fixed({
          data,
          schema,
          emitter: this._emitter,
          endpoint: this._endpoint
        });
        this.emit('data', this.data, this);
        delete this.dataPromise;
        return this.data;
      });
    return this.dataPromise;
  }
  reset() {
    return this._request.post('reset')
      .then(() => {
        this.data.reset();
        return this.data;
      });
  }
}

//# sourceMappingURL=Api.js.map
