import EventEmitter from 'eventemitter2';
export default class Emitter {
  constructor({emitter = new EventEmitter()}) {
    if ((typeof emitter !== 'object') || !(emitter instanceof EventEmitter)) {
      throw new TypeError(`Emitter must be EventEmitter`);
    }
    Object.defineProperty(this, '_emitter', {
      value: emitter
    });
  }
  emit(name, ...args) {
    this._emitter.emit(name, ...args);
  }
  on(name, callback) {
    this._emitter.on(name, callback);
  }
  once(name, callback) {
    this._emitter.once(name, callback);
  }
}

//# sourceMappingURL=Emitter.js.map
