import Request from './Request';
import Emitter from './Emitter';
export default class Endpoint extends Emitter {
  constructor({endpoint, emitter}) {
    super({emitter});
    if (typeof (endpoint) !== 'string') {
      throw new TypeError(`endpoint must be String: ${endpoint}`);
    }
    Object.defineProperty(this, '_request', {
      value: new Request({endpoint})
    });
  }
  get _endpoint() {
    return this._request.endpoint;
  }
  set _endpoint(value) {
    const regex = new RegExp(`^${this._request.endpoint}`);
    this._request.endpoint = value;
    for (const key in this) {
      if (this.hasOwnProperty(key) && Object.isObject(this[key]) && this[key]._endpoint) {
        this[key]._endpoint = this[key]._endpoint.replace(regex, value);
      }
    }
  }
}

//# sourceMappingURL=Endpoint.js.map
