module.exports = function(config) {
  config.set({
    frameworks: ['mocha', 'chai-as-promised', 'chai', 'detectBrowsers', 'browserify'],
    preprocessors: {
      'test/spec/**/*.js': ['browserify'],
      'node_modules/core-js/index.js': ['browserify']
    },
    files: [
      'node_modules/core-js/index.js',
      'node_modules/regenerator-runtime/runtime.js',
      'node_modules/whatwg-fetch/fetch.js',
      'node_modules/location-origin/dist/location-origin.js',
      'test/spec/**/*.js'
    ],
    logLevel: config.LOG_WARN,
    reporters: ['mocha'],
    middleware: ['vca-api'],
    browserify: {
      debug: true,
      transform: ['babelify']
    },
    browserDisconnectTimeout: 10000,
    browserDisconnectTolerance: 1
  })
}
