import Base from '../Node';
import Identifiable from '../Identifiable';

// eslint-disable-next-line babel/new-cap
export default class Value extends Identifiable(Base) {
  constructor({id = null, schema, endpoint, emitter, data, dependency}) {
    super({id, schema, endpoint, emitter, data, dependency});

    if (['object', 'array'].indexOf(this._schema.type) !== -1) {
      throw new TypeError(`Schema must not be object or array: ${this._schema.type}`);
    }
  }

  /** @inheritdoc */
  assign(object) {
    this._data = object;
    return this;
  }
}
