import {Api} from 'vca-api-middleware';
import http from 'http';
import fetch, {Headers} from 'node-fetch';
import chai from 'chai';
import chaiAsPromised from 'chai-as-promised';
chai.use(chaiAsPromised);

const port = 46731;

global.chai = chai;
global.should = chai.should();
global.fetch = fetch;
global.Headers = Headers;
global.location = {
  origin: `http://localhost:${port}`
};

beforeEach(function (done) {
  this.middleware = new Api();
  this.port = port;
  this.server = new http.Server(this.middleware.handleRequest.bind(this.middleware));
  this.server.listen(this.port, done);
});

afterEach(function (done) {
  this.server.close(done);
});
